Community Packages

Please read this before reporting a bug:
http://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#49552 - [glfw-x11] [glfw-wayland] conflicting files

Attached to Project: Community Packages
Opened by Maarten de Vries (de-vri-es) - Friday, 03 June 2016, 07:16 GMT
Last edited by Sven-Hendrik Haase (Svenstaro) - Saturday, 04 June 2016, 07:13 GMT
Task Type Bug Report
Category Packages
Status Closed
Assigned To Sven-Hendrik Haase (Svenstaro)
Architecture All
Severity Low
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 0
Private No

Details

Description:
glfw-x11 and glfw-wayland have conflicting files. See the attached pacman output for details.

It seems that with the current split, both packages need a conflicts=(...) with the other package.

Additionally, there should probably be a provides=(glfw) in both packages. It seems to me a specific package should not depend on glfw-x11 or glfw-wayland but on glfw. Which window system is used should be a choice made by the user.


Additional info:
* package versions: glfw-wayland-3.2-2 glfw-x11-3.2-2
* pacman output attached

Steps to reproduce:
pacman -S glfw-x11 glfw-wayland
This task depends upon

Closed by  Sven-Hendrik Haase (Svenstaro)
Saturday, 04 June 2016, 07:13 GMT
Reason for closing:  Fixed

Loading...